{output_format}: Get properties by InChIKey

API: nih.gov:pubchem-property-api
Endpoint: /inchikey/{inchikey}/property/{properties}/{output_format}
Response format: unknown
Auth: unknown
Method: GET
Last Status: 200
Latency: 413ms

Description

Retrieve chemical properties using the International Chemical Identifier Key (InChIKey), a hashed version of the InChI identifier.

Parameters (3)

inchikey (string, path, required)

InChIKey identifier (27-character hash, e.g., 'LFQSCWFLJHTTHZ-UHFFFAOYSA-N' for ethanol).

output_format (string, path, required)

Response format

Constraints: {'enum': ['JSON', 'XML']}

properties (string, path, required)

Comma-separated list of property names to retrieve

Examples (1)

Get properties by InChIKey openapi-spec
curl 'https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/inchikey/LFQSCWFLJHTTHZ-UHFFFAOYSA-N/property/MolecularWeight/JSON'
import requests

resp = requests.get("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/inchikey/LFQSCWFLJHTTHZ-UHFFFAOYSA-N/property/MolecularWeight/JSON")
data = resp.json()
import zingu_apis

api = zingu_apis.api("pubchem-property")
result = api.fetch("inchikey/{inchikey}/property/{properties}/{output_format}")

for item in result:
    print(item)
const resp = await fetch("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/inchikey/LFQSCWFLJHTTHZ-UHFFFAOYSA-N/property/MolecularWeight/JSON");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:58:52.497747 200 413ms
2026-04-15 00:22:15.135183 200 457ms
2026-04-14 00:40:01.915378 200 445ms
2026-04-12 15:00:12.200075 200 652ms
2026-04-10 04:19:40.462013 200 1268ms
2026-04-09 02:35:59.267259 200 381ms